Bug 109670 - pcmcia service error while loading 3c574: Resource in use
pcmcia service error while loading 3c574: Resource in use
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-10 15:49 EST by Ben Lentz
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-08 00:30:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Lentz 2003-11-10 15:49:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When using Red Hat Linux 9.0.93 running kernel 2.4.21 with a 3Com 
3c574TX PCMCIA NIC, the pcmcia init script fails with the following 

kernel: 3c574_cs: RequestIRQ: Resource in use

The problem doesn't appear to be with my hardware: Installing the 
2.4.20 kernel on this system from Red Hat Linux 9.0 resolves the 
problem. There appears to be a compatibility issue between 2.4.20 and 
2.4.21 relating to pcmcia.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Red Hat Linux 9.0.93
2. Start the system with a 3c574 PCMCIA NIC
3. Observe the errors on startup as the pcmcia init script is called
4. The NIC is unavailable.

Actual Results:  Error messages were produced both on the console and 
in /var/log/messages as the system booted and tried to loan the card 

Expected Results:  I expected the card services to load properly, 
making the NIC available in userland.

Additional info:
Comment 1 Dave Jones 2003-11-10 19:52:51 EST
This kernel version is actually from Fedora test1. It's _very_ old
now, and as such bug reports against it are useless in a lot of cases.
Can you reproduce this on the final version of Fedora ?
Comment 2 Dave Jones 2004-12-08 00:30:50 EST
fc1 - eol

Note You need to log in before you can comment on or make changes to this bug.